## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

%global forgeurl https://github.com/facebook/netconsd
%global commit d558dc611983792288ab767259d2c258aaccfc05
%forgemeta

Name:           netconsd
Version:        0
Release:        %autorelease
Summary:        The Netconsole Daemon

License:        BSD
URL:            %forgeurl
Source:         %forgesource

BuildRequires:  gcc-c++
BuildRequires:  make
BuildRequires:  libstdc++-static

%description
This is a daemon for receiving and processing logs from the Linux Kernel, as
emitted over a network by the kernel's netconsole module. It supports both the
old "legacy" text-only format, and the new extended format added in v4.4.

The core of the daemon does nothing but process messages and drop them: in order
to make the daemon useful, the user must supply one or more "output modules".
These modules are shared object files which expose a small ABI that is called by
netconsd with the content and metadata for netconsole messages it receives.

%prep
%forgesetup

%build
%set_build_flags
%make_build
# netconsblaster fails to build on s390x
# https://github.com/facebook/netconsd/issues/3
%ifnarch s390x
%make_build utils
%endif

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_libdir}/netconsd

install -m0755 netconsd %{buildroot}%{_bindir}
%ifnarch s390x
install -m0755 util/netconsblaster %{buildroot}%{_bindir}
%endif
install -m0755 modules/*.so %{buildroot}%{_libdir}/netconsd

%files
%license LICENSE
%doc README.md
%{_bindir}/netconsd
%ifnarch s390x
%{_bindir}/netconsblaster
%endif
%{_libdir}/netconsd

%changelog
* dim. oct. 24 2021 Davide Cavalca <dcavalca@fedoraproject.org> 0-1
- Initial import; Fixes: RHBZ#2016716
